Trigger codebase analysis
curl --request POST \
--url https://neo.api.projectdiscovery.io/api/v1/codemaps/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"git_url": "<string>",
"index_name": "<string>",
"branch": "<string>",
"git_token": "<string>",
"options": {
"exclude_tests": true,
"include_audit_context": true,
"include_diagrams": true,
"include_threat_model": true,
"main_model": "<string>",
"skip_codewiki": true,
"sub_model": "<string>"
}
}
'import requests
url = "https://neo.api.projectdiscovery.io/api/v1/codemaps/generate"
payload = {
"git_url": "<string>",
"index_name": "<string>",
"branch": "<string>",
"git_token": "<string>",
"options": {
"exclude_tests": True,
"include_audit_context": True,
"include_diagrams": True,
"include_threat_model": True,
"main_model": "<string>",
"skip_codewiki": True,
"sub_model": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
git_url: '<string>',
index_name: '<string>',
branch: '<string>',
git_token: '<string>',
options: {
exclude_tests: true,
include_audit_context: true,
include_diagrams: true,
include_threat_model: true,
main_model: '<string>',
skip_codewiki: true,
sub_model: '<string>'
}
})
};
fetch('https://neo.api.projectdiscovery.io/api/v1/codemaps/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"generation_id": "<string>",
"status": "<string>",
"success": true,
"index_name": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}Codemaps
Trigger codebase analysis
Trigger structural analysis and codewiki generation for a codebase.
POST
/
api
/
v1
/
codemaps
/
generate
Trigger codebase analysis
Authorizations
BearerAuthApiKeyAuth
JWT authentication token
Body
application/json
⌘I

